IIPResponse Class Reference

Class to handle non-image IIP responses including errors. More...

`#include <IIPResponse.h>`

## Public Member Functions

| IIPResponse ()
| Constructor.
void | setProtocol (const std::string &p)
| Set the IIP protocol version.
void | setLastModified (const std::string &m)
| Set the Last Modified header.
void | addResponse (const std::string &r)
| Add a response string.
void | addResponse (const char *c)
| Add a response string.
void | addResponse (const char *c, int a)
| Add a response string.
void | addResponse (std::string c, const std::string &a)
| Add a response string.
void | addResponse (const char *c, int a, int b)
| Add a response string.
void | setError (const std::string &code, const std::string &arg)
| Set an error.
void | setCORS (const std::string &c)
| Set CORS setting.
std::string | getCORS ()
| Get CORS setting.
void | setCacheControl (const std::string &c)
| Set Cache-Control value.
std::string | getCacheControl ()
| Get Cache-Control value.
std::string | formatResponse ()
| Get a formatted string to send back.
bool | isSet ()
| Indicate whether this object has had any arguments passed to it.
bool | errorIsSet ()
| Indicate whether we have an error message.
void | setImageSent ()
| Set the sent flag indicating that some sort of response has been sent.
bool | imageSent ()
| Indicate whether a response has been sent.
std::string | getAdvert ()
| Display our advertising banner ;-).

## Detailed Description

Class to handle non-image IIP responses including errors.

## Member Function Documentation

## addResponse() [1/5]

void IIPResponse::addResponse | ( | const char * | c | ) |

Add a response string.

Parameters

  c | response string

## addResponse() [2/5]

void IIPResponse::addResponse | ( | const char * | c,
|  | int | a )

Add a response string.

Parameters

  c | response string
  a | integer value

## addResponse() [3/5]

void IIPResponse::addResponse | ( | const char * | c,
|  | int | a,
|  | int | b )

Add a response string.

Parameters

  c | response string
  a | integer value
  b | another integer value

## addResponse() [4/5]

void IIPResponse::addResponse | ( | const std::string & | r | ) |

Add a response string.

Parameters

  r | response string

## addResponse() [5/5]

void IIPResponse::addResponse | ( | std::string | c,
|  | const std::string & | a )

Add a response string.

Parameters

  c | response string
  a | string reply

## getAdvert()

std::string IIPResponse::getAdvert | ( |  | ) |

Display our advertising banner ;-).

Returns
  HTML string

## setCacheControl()

void IIPResponse::setCacheControl | ( | const std::string & | c | ) |

inline

Set Cache-Control value.

Parameters

  c | Cache-Control setting

## setCORS()

void IIPResponse::setCORS | ( | const std::string & | c | ) |

inline

Set CORS setting.

Parameters

  c | setting

## setError()

void IIPResponse::setError | ( | const std::string & | code,
|  | const std::string & | arg )

Set an error.

Parameters

  code | error code
  arg | the argument supplied by the client

## setLastModified()

void IIPResponse::setLastModified | ( | const std::string & | m | ) |

inline

Set the Last Modified header.

Parameters

  m | Last modified date as a HTTP RFC 1123 formatted timestamp

## setProtocol()

void IIPResponse::setProtocol | ( | const std::string & | p | ) |

inline

Set the IIP protocol version.

Parameters

  p | IIP protocol version

The documentation for this class was generated from the following file:

- IIPResponse.h